- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# ShadowVolumeOccluder.cpp File Reference

`#include <osg/ShadowVolumeOccluder>`
`#include <osg/CullStack>`
`#include <osg/Group>`
`#include <osg/Geode>`

Include dependency graph for ShadowVolumeOccluder.cpp:

## Typedefs
typedef std::pair< unsigned int, Vec3 > | Point
typedef std::vector< Point > | PointList
typedef std::vector< Vec3 > | VertexList
## Functions
void | copyVertexListToPointList (const VertexList &in, PointList &out)
void | copyPointListToVertexList (const PointList &in, VertexList &out)
unsigned int | clip (const Plane &plane, const PointList &in, PointList &out, unsigned int planeMask)
unsigned int | clip (const Polytope::PlaneList &planeList, const VertexList &vin, PointList &out)
void | transform (PointList &points, const osg::Matrix &matrix)
void | transform (const PointList &in, PointList &out, const osg::Matrix &matrix)
void | pushToFarPlane (PointList &points)
void | computePlanes (const PointList &front, const PointList &back, Polytope::PlaneList &planeList)
Plane | computeFrontPlane (const PointList &front)
float | computePolytopeVolume (const PointList &front, const PointList &back)

## Typedef Documentation

typedef std::pair<unsigned int,Vec3> Point

typedef std::vector<Point> PointList

typedef std::vector<Vec3> VertexList

## Function Documentation

unsigned int clip | ( | const Polytope::PlaneList & | planeList,
|  | const VertexList & | vin,
|  | PointList & | out
| ) |

unsigned int clip | ( | const Plane & | plane,
|  | const PointList & | in,
|  | PointList & | out,
|  | unsigned int | planeMask
| ) |

Plane computeFrontPlane | ( | const PointList & | front | ) |

void computePlanes | ( | const PointList & | front,
|  | const PointList & | back,
|  | Polytope::PlaneList & | planeList
| ) |

float computePolytopeVolume | ( | const PointList & | front,
|  | const PointList & | back
| ) |

void copyPointListToVertexList | ( | const PointList & | in,
|  | VertexList & | out
| ) |

void copyVertexListToPointList | ( | const VertexList & | in,
|  | PointList & | out
| ) |

void pushToFarPlane | ( | PointList & | points | ) |

void transform | ( | const PointList & | in,
|  | PointList & | out,
|  | const osg::Matrix & | matrix
| ) |

void transform | ( | PointList & | points,
|  | const osg::Matrix & | matrix
| ) |